| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DeadlineMissedStatus Struct Reference
eProsima Fast DDS API Reference » DDS Public API » Fast DDS Quality of Service (QoS) Module. » Deadline Module

A struct storing the deadline status. More...

`#include <DeadlineMissedStatus.hpp>`

## Public Member Functions

| DeadlineMissedStatus ()
| Constructor.
| ~DeadlineMissedStatus ()
| Destructor.

## Public Attributes

uint32_t | total_count
| Total cumulative number of offered deadline periods elapsed during which a writer failed to provide data.
uint32_t | total_count_change
| The change in total_count since the last time the listener was called or the status was read.
InstanceHandle_t | last_instance_handle
| Handle to the last instance missing the deadline.

## Detailed Description

A struct storing the deadline status.

## Constructor & Destructor Documentation

## ◆ DeadlineMissedStatus()

DeadlineMissedStatus | ( |  | ) |

inline

Constructor.

## ◆ ~DeadlineMissedStatus()

~DeadlineMissedStatus | ( |  | ) |

inline

Destructor.

## Member Data Documentation

## ◆ last_instance_handle

InstanceHandle_t last_instance_handle

Handle to the last instance missing the deadline.

## ◆ total_count

uint32_t total_count

Total cumulative number of offered deadline periods elapsed during which a writer failed to provide data.

Missed deadlines accumulate, that is, each deadline period the total_count will be incremented by 1

## ◆ total_count_change

uint32_t total_count_change

The change in total_count since the last time the listener was called or the status was read.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/DeadlineMissedStatus.hpp